View Issue Details

IDProjectCategoryView StatusLast Update
0000020Bacula-Webbugpublic2019-03-12 14:04
ReporterdavideAssigned Todavide 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionopen 
Product Version5.0.3 
Target Version5.0.3Fixed in Version5.0.3 
Summary0000020: Problem with PHP5
Description[oneshot]
In PHP5 the array_merge function no longer allows non-arrays as parameters. The solution is to cast the parameters to arrays. This affects some of the calls to array_merge e.g. line 301 in classes.inc
Steps To ReproduceFixed in version 5.0.3 (11022010)

Function array_merge_php4 created for this purpose
TagsNo tags attached.

Activities

davide

2013-11-19 15:06

manager   ~0000370

Issue closed

Issue History

Date Modified Username Field Change
2010-09-06 22:13 davide New Issue
2011-01-06 09:29 davide Assigned To => davide
2011-01-06 09:29 davide Status new => assigned
2011-06-17 17:04 davide Status assigned => resolved
2011-06-17 17:04 davide Product Version => 5.0.3
2011-06-17 17:04 davide Fixed in Version => 5.0.3
2011-06-17 17:04 davide Target Version => 5.0.3
2011-06-17 17:04 davide Steps to Reproduce Updated View Revisions
2013-11-19 15:06 davide Status resolved => closed
2013-11-19 15:06 davide Note Added: 0000370